package de.jottyfan.gta.gdp;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import de.jottyfan.gta.gdp.block.ModBlocks;
import de.jottyfan.gta.gdp.item.ModItems;
import de.jottyfan.gta.gdp.world.gen.ModOreGeneration;
import net.fabricmc.api.ModInitializer;

/**
 *
 * @author jotty
 *
 */
public class GTAGDP implements ModInitializer {
	public static final String MOD_ID = "gtagdp";
	public static final Logger LOGGER = LoggerFactory.getLogger(MOD_ID);

	@Override
	public void onInitialize() {
		ModItems.registerModItems();
		ModBlocks.registerModBlocks();
		ModOreGeneration.generateOres();
	}
}