package de.jottyfan.gta.gdp.block;

import net.minecraft.block.Block;
import net.minecraft.block.BlockState;
import net.minecraft.entity.player.PlayerEntity;
import net.minecraft.state.StateManager.Builder;
import net.minecraft.state.property.BooleanProperty;
import net.minecraft.util.ActionResult;
import net.minecraft.util.hit.BlockHitResult;
import net.minecraft.util.math.BlockPos;
import net.minecraft.world.World;

/**
 *
 * @author jotty
 *
 */
public class RubyBlock extends Block {
	public static final BooleanProperty ACTIVATED = BooleanProperty.of("activated");

	public RubyBlock(Settings settings) {
		super(settings);
		setDefaultState(getDefaultState().with(ACTIVATED, false));
	}

	@Override
	protected void appendProperties(Builder<Block, BlockState> builder) {
		builder.add(ACTIVATED);
	}

	@Override
	protected ActionResult onUse(BlockState state, World world, BlockPos pos, PlayerEntity player, BlockHitResult hit) {
		if (!world.isClient()) {
			world.setBlockState(pos, state.cycle(ACTIVATED));
		}
		return ActionResult.SUCCESS;
	}
}

